function Rappture_output (name,title,x,xunits,xdesc,y,yunits,ydesc)
% This function saves output in the format needed for the Rappture
% toolkit.  It's easier to have the matlab code do this directly,
% rather than reading the numbers from matlab and munging results
% yet again later on.
  printf("<curve id=\"%s\">\n", name);
  printf("  <about><label>%s</label></about>\n", title);
  printf("  <xaxis>\n");
  printf("    <label>%s</label>\n", xdesc);
  printf("    <units>%s</units>\n", xunits);
  printf("  </xaxis>\n");
  printf("  <yaxis>\n");
  printf("    <label>%s</label>\n", ydesc);
  printf("    <units>%s</units>\n", yunits);
  printf("  </yaxis>\n");
  printf("  <component><xy>\n");

  for i=1:length(x)
    printf("    %g %g\n", x(i), y(i));
  end

  printf("  </xy></component>\n");
  printf("</curve>\n");

endfunction
