function main (inputFile)

if nargin < 1
   inputFile = 'mosfet.data';
end

fp = fopen(inputFile,'r');

t = fscanf(fp,'%*s = %g;',1);
epsr = fscanf(fp,'%*s = %g;',1);
T = fscanf(fp,'%*s = %g;',1);
VI_Gate = fscanf(fp,'%*s = %g;',1);
VF_Gate = fscanf(fp,'%*s = %g;',1);
NV_Gate = fscanf(fp,'%*s = %d;',1);
VI_Drain = fscanf(fp,'%*s = %g;',1);
VF_Drain = fscanf(fp,'%*s = %g;',1);
NV_Drain = fscanf(fp,'%*s = %d;',1);
Ef = fscanf(fp,'%*s = %g;',1);
alphag = fscanf(fp,'%*s = %g;',1);
alphad = fscanf(fp,'%*s = %g;',1);
Rs = fscanf(fp,'%*s = %g;',1);
NSD = fscanf(fp,'%*s = %g;',1);
tSi = fscanf(fp,'%*s = %g;',1);
mt = fscanf(fp,'%*s = %g;',1);
Vdegen = fscanf(fp,'%*s = %g;',1);
fb_flag = fscanf(fp,'%*s = %d;',1);
sdg_flag = fscanf(fp,'%*s = %d;',1);

fclose(fp);

try
   [I]=FETToy(sdg_flag,t,tSi,NSD,epsr,mt,Vdegen,T,NV_Gate,VI_Gate,VF_Gate,NV_Drain,VI_Drain,VF_Drain,Ef,alphag,alphad,fb_flag,Rs);
catch
   errorMsg = lasterr
   fid = fopen('errorDetected.txt','wt');
   fprintf(fid,'1\n');
   fprintf(fid,'%s\n',errorMsg);
   fclose(fid);
end
